\section{DebConf7, Edinburgh}
\label{sec:community_power}

\person{Moray Allan}{Coordinator}

This year DebConf brought about 400 Debian contributors to Edinburgh,
Scotland.  As in previous years, there was a mixture of formal
presentations, scheduled and unscheduled discussions, and group hacking
on Debian projects.  For many attendees, DebConf is the only time in the
year when they can talk to other Debian contributors face-to-face; it's
both a chance to set in motion new ideas, and to celebrate the
achievements of the previous months.

Some of the UK-based Debian developers had started talking about a UK
DebConf back in 2004.  In 2005 at DebConf in Finland some bid posters
appeared around the DebConf accommodation building, and serious work on
the bid started a little afterwards.  It was agreed early on that
Edinburgh would be an ideal venue for a DebConf within the UK, so work
focused on comparing options there.  A formal proposal was ready in time
for DebConf in Mexico in May 2006.  At the end of that DebConf, Sarajevo
and Edinburgh were left as the two candidate cities, out of a larger
number who had originally been interested; after inspection visits to
the two cities and some further discussion, Edinburgh was chosen as the
venue for 2007.

Within Edinburgh, there was a final shortlist of three conference
venues.  Whereas the DebConf venues for the last four years were campus
environments, in Edinburgh we wanted to choose a venue right in the city
centre.  The Royal College of Physicians provided the highest-quality
conference facilities, with a large modern conference centre behind an
older Georgian building.  This venue was furthest from the likely
accommodation, and the only wheelchair access was via a cobbled lane at
the back.  The Edinburgh College of Art had been the most helpful venue
in our research phase, and could offer accessible facilities arranged
around an attractive grassy courtyard.  One downside of this venue was
that we would have to share the buildings with other users rather than
take them over for the DebConf period.  The Teviot student union
building was nearest to the likely accommodation.  It is taken over each
summer as a theatre venue, with somewhat similar power and cabling
requirements to DebConf; unlike the other potential venues, it was also
used to providing food for the numbers we were expecting.  Our final
choice of Teviot as the conference venue was also influenced by cost --
it was much cheaper than the other options.

In Teviot we allocated two main talk rooms, two discussion rooms, and
two primary hacklab spaces.  Although Teviot's layout is slightly
confusing, these were all very close to each other within a single
building.  The canteen area and bar were also available for hacking in
the afternoon.  We covered the rooms we were using with wired and
wireless networking, stringing cables between a few windows to bridge
between floors of the building.  We were fortunate to get a fast
upstream network link from Edinburgh University (we had originally been
expecting to use ADSL uplinks).  We scheduled a setup day before DebCamp
began, and made sure that by the end of it we had a temporary hacklab
available, with working power and networking.

Although we had negotiated for 24-hour access early on, in the end the
Teviot building was closed for a few hours each night.  To allow
continued hacking and discussion, we arranged for the use of a nearby
hall each night.  The hall already had its own ADSL uplink, but we added
a line-of-sight wireless link back to Teviot to get a faster connection.

IRC, email and wiki pages were again used heavily for communication
between members of the DebConf team in the months leading up to the
conference.  We started with monthly IRC meetings, switching to
fortnightly then weekly meetings as DebConf grew closer, but the various
subteams stayed in day-to-day contact between meetings.  Some subteams
ran themselves well, reporting back to the rest of the team as
appropriate, for example for sponsorship and financial matters, talks,
travel assistance, and visa process assistance.  On for example
accommodation organising a sequence of people got involved at different
times; this worked fine when information was noted down in email
messages or in the team SVN repository.  The press subteam would have
benefitted from some more active members, but in general there was
always someone ready to do each of the pieces of work needed to make
DebConf happen.

I would like to thank all those who were involved in making DebConf7
happen.  Again we were pleased to have the support of our sponsors,
which meant that we could provide the conference free of charge to
attendees, and that we could pay costs for some Debian contributers to
attend who would not otherwise have been able to come.  Again many
people put in months of work mostly invisible to those outside the
DebConf team.  They didn't get any direct reward for it, but it was
their hard work which meant that DebConf went by without any major
problems. During DebConf itself we again found many additional
volunteers to take on tasks: for example, in the later part of the
conference the registration desk was largely run by a few attendees who
heard that help was needed in that area.  Of course, the most important
element of DebConf is the interaction of Debian contributers: again we
had people travel from all around the world to make presentations and
lead discussions, with exciting development work and planning going on
day and night all around the conference venue.

